# -*- coding: utf-8 -*-
"""
/***************************************************************************
 mnt_cen38
                                 A QGIS plugin
 mnt_cen38
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2022-08-31
        copyright            : (C) 2022 by colas Geier / CEN 38
        email                : colas.geier@cen-isere.org
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""
# import pip
# pip.main(['install', 'webdavclient3'])

# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load mnt_cen38 class from file mnt_cen38.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .mnt_cen38 import mnt_cen38
    return mnt_cen38(iface)
